Modification of Bridger Mitchell's routine from Computer Journal #33 
to relocate and run a PRL-format program anywhere in memory.  This 
version optionally allows passing of registers, simplifies program 
building using MLOAD, and "pulls" the relocated code down to the 
actual load address rather than leaving the where_am_I and relocator 
routines in place and jumping over them to get to the program.
July 18, 1988
